Page MenuHomePhabricator

changing content model log entry for page creation is confusing
Closed, ResolvedPublic

Description

After using https://meta.wikimedia.org/wiki/Special:CreateMassMessageList, the log entry is:

MZMcBride (talk | contribs | block) changed the content model of the page MassMessage/Lists/Wikipedia Library from "wikitext" to "MassMessageListContent" (Create mass message delivery list)

This is confusing because this was a page creation.

Event Timeline

MZMcBride created this task.Mar 2 2016, 8:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2016, 8:52 PM
Legoktm renamed this task from Special:CreateMassMessageList's log entry for page creation is confusing to changing content model log entry for page creation is confusing.Mar 2 2016, 9:27 PM
Legoktm claimed this task.

There's nothing MM specific about it since MM is just wrapping around the API. The same happens if you use Special:ChangeContentModel:

21:17, 2 March 2016 Legoktm (talk | contribs | block) changed the content model of the page User:Legoktm/plain text from "wikitext" to "plain text" (plain text!) (revert)

Jdforrester-WMF triaged this task as Low priority.Mar 2 2016, 9:32 PM
Jdforrester-WMF added a subscriber: Legoktm.

Change 274492 had a related patch set uploaded (by Legoktm):
Improve change content model log entry for page creations

https://gerrit.wikimedia.org/r/274492

New proposed log text:

21:30, 2 March 2016 10.0.2.2 (talk | block) created the page Also doesn't exist using a non-default content model of "plain text" (asdfdsfd)

Note that there is no "revert" link because there really isn't anything to revert back to.

Change 274492 merged by jenkins-bot:
Improve change content model log entry for page creations

https://gerrit.wikimedia.org/r/274492

Legoktm closed this task as Resolved.Mar 7 2016, 7:20 PM